=== debian/changelog ===
photoqt (2.5-4) unstable; urgency=medium

  * d/control: add missing build-depends for graphicsmagick.

 -- Gürkan Myczko <tar@debian.org>  Fri, 25 Mar 2022 20:55:55 +0100

photoqt (2.5-3) unstable; urgency=medium

  * Fix some FTBFS problems, thanks to Lukas Spies and Adrian Bunk:
    - d/rules: adapt cmake options depending on architecture.
    - d/control: limit build-depends for arch.

 -- Gürkan Myczko <tar@debian.org>  Wed, 23 Mar 2022 19:41:09 +0100

photoqt (2.5-2) unstable; urgency=medium

  * d/control: add python3-pychromecast to Depends.
  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Wed, 23 Mar 2022 05:58:50 +0100

photoqt (2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1008066)

 -- Gürkan Myczko <tar@debian.org>  Thu, 17 Mar 2022 12:39:25 +0100
