=== debian/control ===
Source: photoqt
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 libexiv2-dev,
 libmagick++-6.q16-dev [!kfreebsd-amd64 !kfreebsd-i386],
 libgraphicsmagick1-dev,
 libgraphicsmagick++1-dev,
 libraw-dev,
 libfreeimageplus-dev [!hppa !powerpc !ppc64],
 libdevil-dev,
 libpoppler-cpp-dev,
 libpoppler-qt5-dev,
 libarchive-dev,
 libpugixml-dev,
 libqt5svg5-dev,
 python3-pip,
 python3-dev,
 python3-requests,
 python3-pychromecast [!ia64],
 qtbase5-dev,
 qt5-qmake,
 qttools5-dev,
 qtmultimedia5-dev,
 qtdeclarative5-dev
Standards-Version: 4.6.0
Homepage: https://photoqt.org/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoqt
Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoqt.git
Rules-Requires-Root: no

Package: photoqt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pychromecast
Description: Fast and highly configurable image viewer
 This is a fast and highly configurable image viewer with a simple and nice
 interface.
