=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
    MAGICK = -DGRAPHICSMAGICK=OFF -DIMAGEMAGICK=OFF
endif
ifeq ($(DEB_BUILD_ARCH_OS),ia64)
    CHROMECAST = -DCHROMECAST=OFF
endif
ifeq ($(DEB_BUILD_ARCH_OS),hppa)
    FI = -DFREEIMAGE=OFF
endif
ifeq ($(DEB_BUILD_ARCH_OS),powerpc)
    FI = -DFREEIMAGE=OFF
endif
ifeq ($(DEB_BUILD_ARCH_OS),ppc64)
    FI = -DFREEIMAGE=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_POPPLER=OFF \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
	$(MAGICK) \
	$(CHROMECAST) \
	$(FI)
