## photoqt 2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ####  GLOBAL VERSION STRING FOR ALL FILES (INCLUDING CPP/QML) ####
 ##################################################################
 
-add_definitions(-DVERSION="2.5")
+add_definitions(-DVERSION="2.8")
 
 
 ########################################
@@ -46,8 +46,10 @@
 option(POPPLER "Use Poppler library" ON)
 option(LIBARCHIVE "Enable features that require libarchive" ON)
 option(PUGIXML "Enable features that require pugixml" ON)
-option(VIDEO "Enable video support" ON)
+option(VIDEO_QT "Enable video support through Qt" ON)
+option(VIDEO_MPV "Enable video support through MPV" OFF)
 option(CHROMECAST "Enable Chromecast support" ON)
+option(LIBVIPS "Use libvips" OFF)
 
 # name of this option changed
 # this helps to make sure nothing breaks
@@ -60,12 +62,19 @@
     message("")
     set(GRAPHICSMAGICK ON)
 endif()
+if(VIDEO)
+    message("")
+    message("** The VIDEO cmake flag was changed to VIDEO_QT")
+    message("** This was done to distinguish it from VIDEO_MPV")
+    message("")
+    set(VIDEO_QT ON)
+endif()
 
 ################################
 #### FIND REQUIRED PACKAGES ####
 ################################
 
-find_package(Qt5 COMPONENTS Core Quick Xml Svg Multimedia DBus LinguistTools Sql REQUIRED)
+find_package(Qt5 COMPONENTS Core Quick Xml Svg Multimedia DBus LinguistTools Sql PrintSupport REQUIRED)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake" ${CMAKE_MODULE_PATH})
 if(IMAGEMAGICK)
@@ -86,10 +95,6 @@
 endif()
 if(EXIV2)
     find_package(exiv2 REQUIRED)
-    if(WIN32)
-        find_package(Threads)
-        find_package(Iconv)
-    endif()
 endif()
 if(RAW)
     find_package(LibRaw)
@@ -112,6 +117,13 @@
 endif()
 if(CHROMECAST)
     find_package(Python3 COMPONENTS Interpreter Development)
+endif()
+if(LIBVIPS)
+    find_package(PkgConfig REQUIRED)
+    pkg_search_module(GLIB REQUIRED glib-2.0 gobject-2.0)
+endif()
+if(VIDEO_MPV)
+    find_package(Libmpv)
 endif()
 
 # Since Python might be imported we have to avoid using Qt keywords (like 'slots') to avoid naming conflicts
@@ -147,7 +159,7 @@
 elseif(NOT WIN32)
     add_executable(${PROJECT_NAME} ${photoqt_SOURCES} ${photoqt_QML} ${photoqt_RESOURCES} ${qm_files})
 endif()
-target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick Qt5::Xml Qt5::Svg Qt5::Multimedia Qt5::DBus Qt5::Sql)
+target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick Qt5::Xml Qt5::Svg Qt5::Multimedia Qt5::DBus Qt5::Sql Qt5::PrintSupport)
 
 ######################################################
 #### CMAKE BUILD TYPE (DETERMINES COMPILER FLAGS) ####
@@ -190,8 +202,8 @@
     target_link_libraries(${PROJECT_NAME} "pugixml")
 endif()
 
-if(VIDEO)
-    add_definitions(-DVIDEO)
+if(VIDEO_QT)
+    add_definitions(-DVIDEOQT)
 endif()
 
 if(LIBARCHIVE)
@@ -337,56 +349,23 @@
     message("** Chromecast support DISABLED")
 endif()
 
-
-#######################
-#### INSTALL FILES ####
-#######################
-
-if(UNIX)
-
-    # Install executeable
-    install(
-        TARGETS ${PROJECT_NAME}
-        DESTINATION bin/
-    )
-
-    # Install desktop file
-    install(
-        FILES org.photoqt.PhotoQt.desktop
-        DESTINATION share/applications
-    )
-    install(
-        FILES org.photoqt.PhotoQt.standalone.desktop
-        DESTINATION share/applications
-    )
-
-    # And install all the icons
-    install(
-        FILES icons/16x16/apps/photoqt.png
-        DESTINATION share/icons/hicolor/16x16/apps/
-    )
-    install(
-        FILES icons/32x32/apps/photoqt.png
-        DESTINATION share/icons/hicolor/32x32/apps/
-    )
-    install(
-        FILES icons/48x48/apps/photoqt.png
-        DESTINATION share/icons/hicolor/48x48/apps/
-    )
-    install(
-        FILES icons/64x64/apps/photoqt.png
-        DESTINATION share/icons/hicolor/64x64/apps/
-    )
-    install(
-        FILES icons/128x128/apps/photoqt.png
-        DESTINATION share/icons/hicolor/128x128/apps/
-    )
-    install(
-        FILES org.photoqt.PhotoQt.appdata.xml
-        DESTINATION share/appdata/
-    )
-
-endif()
-
-
-
+if(LIBVIPS)
+    include_directories(${GLIB_INCLUDE_DIRS})
+    target_link_libraries(${PROJECT_NAME} ${GLIB_LIBRARIES})
+    target_link_libraries(${PROJECT_NAME} "vips")
+    target_link_libraries(${PROJECT_NAME} "gobject-2.0")
+    target_link_libraries(${PROJECT_NAME} "vips-cpp")
+    add_definitions(-DLIBVIPS)
+    message("** Using libvips")
+else()
+    message("** libvips DISABLED")
+endif()
+
+if(VIDEO_MPV)
+    if(NOT ${Libmpv_FOUND})
+        message(FATAL_ERROR "** Unable to locate libmpv... is it installed?")
+    else()
+        include_directories(${Libmpv_INCLUDE_DIRS})
+        target_link_libraries(${PROJECT_NAME} ${Libmpv_LIBRARIES})
+        message("** Using libmpv " ${Libmpv_VERSION})
+        add_definitions(-DVIDEOMPV)
