=== debian/changelog ===
photoqt (2.8-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 03 Aug 2022 16:20:44 +0200

photoqt (2.7-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/metadata: added.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Sun, 12 Jun 2022 08:05:28 +0200

photoqt (2.6-1) unstable; urgency=medium

  * New upstream version.
  * Patched upstream CMakeLists.txt to not do the pychromecast check.

 -- Gürkan Myczko <tar@debian.org>  Fri, 08 Apr 2022 08:55:33 +0200

photoqt (2.5-5) unstable; urgency=medium

  * d/control: improve arch exceptions for pychromecast.

 -- Gürkan Myczko <tar@debian.org>  Sat, 26 Mar 2022 17:06:50 +0100
