=== debian/control ===
--- 
+++ 
@@ -21,13 +21,13 @@
  python3-pip,
  python3-dev,
  python3-requests,
- python3-pychromecast [!ia64],
+ python3-pychromecast [!ia64 !kfreebsd-amd64 !kfreebsd-i386 !sparc64 !sh4 !riscv64 !m68k !hppa !mips64el],
  qtbase5-dev,
  qt5-qmake,
  qttools5-dev,
  qtmultimedia5-dev,
  qtdeclarative5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://photoqt.org/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoqt
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoqt.git
