## photoqt 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ####  GLOBAL VERSION STRING FOR ALL FILES (INCLUDING CPP/QML) ####
 ##################################################################
 
-add_definitions(-DVERSION="2.8")
+add_definitions(-DVERSION="3.0")
 
 
 ########################################
@@ -70,6 +70,7 @@
     set(VIDEO_QT ON)
 endif()
 
+
 ################################
 #### FIND REQUIRED PACKAGES ####
 ################################
@@ -99,8 +100,10 @@
 if(RAW)
     find_package(LibRaw)
 endif()
-if(FREEIMAGE)
-    find_package(FreeImage)
+if(NOT WIN32)
+    if(FREEIMAGE)
+        find_package(FreeImage)
+    endif()
 endif()
 if(LIBARCHIVE)
     find_package(LibArchive)
@@ -184,15 +187,6 @@
 composeDesktopFile()
 
 
-###############################
-#### SPECIAL WINDOWS FLAGS ####
-###############################
-
-if(WIN32)
-    add_definitions(-DWIN32_LEAN_AND_MEAN)
-endif()
-
-
 ########################
 #### CUSTOM OPTIONS ####
 ########################
@@ -220,39 +214,58 @@
 endif()
 
 if(POPPLER)
-    if(NOT ${Poppler_FOUND})
-        message(FATAL_ERROR "** Unable to locate Poppler... is it installed?")
-    else()
-        include_directories(${Poppler_INCLUDE_DIRS})
-        target_link_libraries(${PROJECT_NAME} ${Poppler_LIBRARIES})
-        message("** Using Poppler ${Poppler_VERSION}")
+    if(WIN32)
+        message("** Using Poppler")
+        target_link_libraries(${PROJECT_NAME} "poppler")
+        target_link_libraries(${PROJECT_NAME} "poppler-qt5")
         add_definitions(-DPOPPLER)
+    else()
+        if(NOT ${Poppler_FOUND})
+            message(FATAL_ERROR "** Unable to locate Poppler... is it installed?")
+        else()
+            include_directories(${Poppler_INCLUDE_DIRS})
+            target_link_libraries(${PROJECT_NAME} ${Poppler_LIBRARIES})
+            message("** Using Poppler ${Poppler_VERSION}")
+            add_definitions(-DPOPPLER)
+        endif()
     endif()
 else()
     message("** Poppler DISABLED")
 endif()
 
 if(DEVIL)
-    if(NOT ${IL_FOUND})
-        message(FATAL_ERROR "** Unable to locate DevIL... is it installed?")
-    else()
-        include_directories(${IL_INCLUDE_DIR})
-        target_link_libraries(${PROJECT_NAME} ${IL_LIBRARIES})
+    if(WIN32)
+        target_link_libraries(${PROJECT_NAME} "DevIL")
         message("** Using DevIL")
         add_definitions(-DDEVIL)
+    else()
+        if(NOT ${DevIL_FOUND})
+            message(FATAL_ERROR "** Unable to locate DevIL... is it installed?")
+        else()
+            include_directories(${IL_INCLUDE_DIR})
+            target_link_libraries(${PROJECT_NAME} ${IL_LIBRARIES})
+            message("** Using DevIL")
+            add_definitions(-DDEVIL)
+        endif()
     endif()
 else()
     message("** DevIL DISABLED")
 endif()
 
 if(FREEIMAGE)
-    if(NOT ${FREEIMAGE_FOUND})
-        message(FATAL_ERROR "** Unable to locate FreeImage... is it installed?")
-    else()
-        include_directories(${FREEIMAGE_INCLUDE_DIRS})
-        target_link_libraries(${PROJECT_NAME} ${FREEIMAGE_LIBRARIES})
+    if(WIN32)
+        target_link_libraries(${PROJECT_NAME} "FreeImage")
         message("** Using FreeImage")
         add_definitions(-DFREEIMAGE)
+    else()
+        if(NOT ${FREEIMAGE_FOUND})
+            message(FATAL_ERROR "** Unable to locate FreeImage... is it installed?")
+        else()
+            include_directories(${FREEIMAGE_INCLUDE_DIRS})
+            target_link_libraries(${PROJECT_NAME} ${FREEIMAGE_LIBRARIES})
+            message("** Using FreeImage")
+            add_definitions(-DFREEIMAGE)
+        endif()
     endif()
 else()
     message("** FreeImage DISABLED")
@@ -263,8 +276,12 @@
         message(FATAL_ERROR "** Unable to locate LibRaw... is it installed?")
     else()
         include_directories(${LIBRAW_INCLUDE_DIR})
-        target_link_libraries(${PROJECT_NAME} "raw")
-         message("** Using LibRaw")
+        if(WIN32)
+            target_link_libraries(${PROJECT_NAME} "libraw")
+        else()
+            target_link_libraries(${PROJECT_NAME} "raw")
+        endif()
+        message("** Using LibRaw")
         add_definitions(-DRAW)
     endif()
 else()
@@ -351,21 +368,3 @@
 
 if(LIBVIPS)
     include_directories(${GLIB_INCLUDE_DIRS})
-    target_link_libraries(${PROJECT_NAME} ${GLIB_LIBRARIES})
-    target_link_libraries(${PROJECT_NAME} "vips")
-    target_link_libraries(${PROJECT_NAME} "gobject-2.0")
-    target_link_libraries(${PROJECT_NAME} "vips-cpp")
-    add_definitions(-DLIBVIPS)
-    message("** Using libvips")
-else()
-    message("** libvips DISABLED")
-endif()
-
-if(VIDEO_MPV)
-    if(NOT ${Libmpv_FOUND})
-        message(FATAL_ERROR "** Unable to locate libmpv... is it installed?")
-    else()
-        include_directories(${Libmpv_INCLUDE_DIRS})
-        target_link_libraries(${PROJECT_NAME} ${Libmpv_LIBRARIES})
-        message("** Using libmpv " ${Libmpv_VERSION})
-        add_definitions(-DVIDEOMPV)
