=== debian/changelog ===
photoqt (3.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/control:
    - add qml-module-qt-labs-platform to Depends.
    - add kimageformats-plugins to Recommends.

 -- Gürkan Myczko <tar@debian.org>  Wed, 01 Feb 2023 07:57:52 +0100

photoqt (2.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 05 Sep 2022 21:08:44 +0200
