=== debian/control ===
--- 
+++ 
@@ -35,7 +35,8 @@
 
 Package: photoqt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pychromecast
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pychromecast, qml-module-qt-labs-platform
+Recommends: kimageformat-plugins
 Description: Fast and highly configurable image viewer
  This is a fast and highly configurable image viewer with a simple and nice
  interface.
