=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
     MAGICK = -DGRAPHICSMAGICK=OFF -DIMAGEMAGICK=OFF
 endif
 ifeq ($(DEB_BUILD_ARCH_OS),ia64)
+    CHROMECAST = -DCHROMECAST=OFF
+endif
+ifeq ($(DEB_BUILD_ARCH_OS),x86_64)
     CHROMECAST = -DCHROMECAST=OFF
 endif
 ifeq ($(DEB_BUILD_ARCH_OS),hppa)
