## photoqt 3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ####  GLOBAL VERSION STRING FOR ALL FILES (INCLUDING CPP/QML) ####
 ##################################################################
 
-add_definitions(-DVERSION="3.0")
+add_definitions(-DVERSION="3.1")
 
 
 ########################################
@@ -51,6 +51,8 @@
 option(CHROMECAST "Enable Chromecast support" ON)
 option(LIBVIPS "Use libvips" OFF)
 
+option(EXIV2_ENABLE_BMFF "Enable BMFF format support in Exiv2 (if available)" ON)
+
 # name of this option changed
 # this helps to make sure nothing breaks
 if(GM)
@@ -296,6 +298,9 @@
         target_link_libraries(${PROJECT_NAME} "exiv2lib")
         add_definitions(-DEXIV2)
         message("** Using Exiv2 ${exiv2_VERSION}")
+        if(EXIV2_ENABLE_BMFF)
+            add_definitions(-DEXIV2_ENABLE_BMFF)
+        endif()
     endif()
 elseif(OLDEXIV2)
     if(NOT ${LibExiv2_FOUND})
@@ -360,11 +365,3 @@
         target_link_libraries(${PROJECT_NAME} ${Python3_LIBRARIES})
         message("** Chromecast support enabled")
         message("** Using Python ${Python3_VERSION}")
-        add_definitions(-DCHROMECAST)
-    endif()
-else()
-    message("** Chromecast support DISABLED")
-endif()
-
-if(LIBVIPS)
-    include_directories(${GLIB_INCLUDE_DIRS})
