## photoqt 3.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ####  GLOBAL VERSION STRING FOR ALL FILES (INCLUDING CPP/QML) ####
 ##################################################################
 
-add_definitions(-DVERSION="3.1")
+add_definitions(-DVERSION="3.3")
 
 
 ########################################
@@ -39,17 +39,20 @@
 option(RAW "Use libraw library" ON)
 option(EXIV2 "Use exiv2 library" ON)
 option(OLDEXIV2 "Use exiv2 library (v0.25 or older)" OFF)
-option(GRAPHICSMAGICK "Use GraphicsMagick library" ON)
-option(IMAGEMAGICK "Use ImageMagick library" OFF)
+option(GRAPHICSMAGICK "Use GraphicsMagick library" OFF)
+option(IMAGEMAGICK "Use ImageMagick library" ON)
 option(DEVIL "Use DevIL library" ON)
 option(FREEIMAGE "Use FreeImage library" ON)
 option(POPPLER "Use Poppler library" ON)
+option(QTPDF "Use QtPDF module instead of Poppler" OFF)
 option(LIBARCHIVE "Enable features that require libarchive" ON)
 option(PUGIXML "Enable features that require pugixml" ON)
 option(VIDEO_QT "Enable video support through Qt" ON)
-option(VIDEO_MPV "Enable video support through MPV" OFF)
+option(VIDEO_MPV "Enable video support through MPV" ON)
 option(CHROMECAST "Enable Chromecast support" ON)
+option(CHROMECAST_PIPINSTALL "Allows CMake to attempt to install PyChromecast locally using pip." OFF)
 option(LIBVIPS "Use libvips" OFF)
+option(LOCATION "Enable use of QtPositioning/QtLocation QML modules" ON)
 
 option(EXIV2_ENABLE_BMFF "Enable BMFF format support in Exiv2 (if available)" ON)
 
@@ -71,13 +74,19 @@
     message("")
     set(VIDEO_QT ON)
 endif()
+if(QTPDF)
+    if(POPPLER)
+        set(POPPLER OFF)
+        message("** For displaying PDF documents you have to choose either Poppler OR QtPDF")
+    endif()
+endif()
 
 
 ################################
 #### FIND REQUIRED PACKAGES ####
 ################################
 
-find_package(Qt5 COMPONENTS Core Quick Xml Svg Multimedia DBus LinguistTools Sql PrintSupport REQUIRED)
+find_package(Qt5 COMPONENTS Core Quick Xml Svg Multimedia DBus LinguistTools Sql PrintSupport Concurrent REQUIRED)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake" ${CMAKE_MODULE_PATH})
 if(IMAGEMAGICK)
@@ -129,6 +138,10 @@
 endif()
 if(VIDEO_MPV)
     find_package(Libmpv)
+    set(photoqt_SOURCES ${photoqt_SOURCES} ${photoqt_libmpv_SOURCES})
+endif()
+if(QTPDF)
+    find_package(Qt5 COMPONENTS Pdf REQUIRED)
 endif()
 
 # Since Python might be imported we have to avoid using Qt keywords (like 'slots') to avoid naming conflicts
@@ -162,9 +175,12 @@
 if(WIN32)
     add_executable(${PROJECT_NAME} WIN32 ${photoqt_SOURCES} ${photoqt_RESOURCES} ${qm_files} windowsicons.rc)
 elseif(NOT WIN32)
-    add_executable(${PROJECT_NAME} ${photoqt_SOURCES} ${photoqt_QML} ${photoqt_RESOURCES} ${qm_files})
-endif()
-target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick Qt5::Xml Qt5::Svg Qt5::Multimedia Qt5::DBus Qt5::Sql Qt5::PrintSupport)
+    add_executable(${PROJECT_NAME} ${photoqt_SOURCES} ${photoqt_RESOURCES} ${qm_files})
+endif()
+target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick Qt5::Xml Qt5::Svg Qt5::Multimedia Qt5::DBus Qt5::Sql Qt5::PrintSupport Qt5::Concurrent)
+if(QTPDF)
+    target_link_libraries(${PROJECT_NAME} Qt5::Pdf)
+endif()
 
 ######################################################
 #### CMAKE BUILD TYPE (DETERMINES COMPILER FLAGS) ####
@@ -235,6 +251,11 @@
     message("** Poppler DISABLED")
 endif()
 
+if(QTPDF)
+    message("** Using QtPDF module")
+    add_definitions(-DQTPDF)
+endif()
+
 if(DEVIL)
     if(WIN32)
         target_link_libraries(${PROJECT_NAME} "DevIL")
@@ -351,17 +372,6 @@
     else()
         execute_process(COMMAND ${Python3_EXECUTABLE} -c "import pychromecast" RESULT_VARIABLE EXIT_CODE OUTPUT_QUIET TIMEOUT 2)
         if(NOT ${EXIT_CODE} EQUAL 0)
-            # try installing it with pip
-            message(">> Attempt to install pychromecast locally using pip...")
-            execute_process(COMMAND ${Python3_EXECUTABLE} -m pip install pychromecast --user RESULT_VARIABLE EXIT_CODE OUTPUT_QUIET TIMEOUT 2)
-            execute_process(COMMAND ${Python3_EXECUTABLE} -c "import pychromecast" RESULT_VARIABLE EXIT_CODE OUTPUT_QUIET TIMEOUT 2)
-            if(NOT ${EXIT_CODE} EQUAL 0)
-                message(FATAL_ERROR "** Unable to locate Python3 module pychromecast. Please first install it or disable Chromecast support.")
-            else()
-                message(">> Success!")
-            endif()
-        endif()
-        include_directories(${Python3_INCLUDE_DIRS})
-        target_link_libraries(${PROJECT_NAME} ${Python3_LIBRARIES})
-        message("** Chromecast support enabled")
-        message("** Using Python ${Python3_VERSION}")
+            if(CHROMECAST_PIPINSTALL)
+                # try installing it with pip
+                message(">> Attempt to install pychromecast locally using pip...")
