=== debian/changelog ===
photoqt (3.3+ds-1.1build1) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:09:32 +0200

photoqt (3.3+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Increase the timeout for the PyChromecast test and enable
    PyChromecast on all architectures. (Closes: #1038737)
  * Enable FreeImage on all architectures. (see #1002610)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Jul 2023 01:28:08 +0300

photoqt (3.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: add Files-Excluded.
  * d/control: add libmpv-dev to Build-Depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Jun 2023 09:17:44 +0200

photoqt (3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 12:30:34 +0200

photoqt (3.2-1) experimental; urgency=medium

  * New upstream version.
  * d/control: added libvips-dev to build-depends.
  * d/control: disable MPV support.

 -- Gürkan Myczko <tar@debian.org>  Fri, 12 May 2023 16:13:45 +0200

photoqt (3.1-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Thu, 09 Mar 2023 09:11:09 +0100
