=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
  libgraphicsmagick1-dev,
  libgraphicsmagick++1-dev,
  libraw-dev,
- libfreeimageplus-dev [!hppa !powerpc !ppc64],
+ libfreeimageplus-dev,
  libdevil-dev,
+ libvips-dev,
+ libmpv-dev,
  libpoppler-cpp-dev,
  libpoppler-qt5-dev,
  libarchive-dev,
@@ -21,13 +23,13 @@
  python3-pip,
  python3-dev,
  python3-requests,
- python3-pychromecast [!ia64 !kfreebsd-amd64 !kfreebsd-i386 !sparc64 !sh4 !riscv64 !m68k !hppa !mips64el],
+ python3-pychromecast,
  qtbase5-dev,
  qt5-qmake,
  qttools5-dev,
  qtmultimedia5-dev,
  qtdeclarative5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://photoqt.org/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoqt
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoqt.git
